# coding: utf-8

module UzuUzu
  module Controller
    class User
      
      def before
        redirect(rf(Initialize)) unless info.initialize?
      end
      
      def entry(id)
        saved = false
        UzuUzu.transaction do |tr|
          @user = User.first(:id => id)
          if request.post?
            @user.name = request.params['username']
            tr.commit do
              saved = @user.save
            end
          end
        end
        respond(render_page(info, render_file(__DIR__('view/user/entry.rhtml'))))
      end
    end # User
  end # Controller
end # UzuUzu
