# coding: utf-8

module UzuUzu
  class Javascript
    include DataMapper::Resource
    include DataMapper::Timestamps

    property :id, Serial
    property :url, Text
    property :format, String,
              :length => 10
    property :body, Text
    timestamps :updated_at
    
  end #Js
  
  if auto_upgrade?
    repository do
      Javascript.auto_upgrade!
    end
  end
end #UzuUzu
