# coding: utf-8

module UzuUzu
  module Controller
    class Index
      
      def index
        redirect(rf(Initialize)) unless info.initialize?
        respond(render_full(Page, :top_page))
      end
      
      def css(id)
        UzuUzu::repository do
          @resource = Css.first(:id => id)
        end
        if @resource.blank?
          not_found
        end
        response["Content-Type"] = mime_type(:css)
        @resource.body
      end
      
      #
      #
      #
      def javascript(id)
        UzuUzu::repository do
          @resource = Javascript.first(:id => id)
        end
        if @resource.blank?
          not_found
        end
        response["Content-Type"] = mime_type(:js)
        @resource.body
      end
      
      #
      #
      #
      def file(id)
        UzuUzu::repository do
          @resource = File.first(:id => id)
        end
        if @resource.blank?
          not_found
        end
        response["Content-Type"] = mime_type(@resource.content_type)
        @resource.body
      end
      
      #
      #
      #
      def image(id)
        UzuUzu::repository do
          @resource = Image.first(:id => id)
        end
        if @resource.blank?
          not_found
        end
        response["Content-Type"] = mime_type(@resource.content_type)
        @resource.body
      end
      
      #
      #
      #
      def movie(id)
        UzuUzu::repository do
          @resource = Movie.first(:id => id)
        end
        if @resource.blank?
          not_found
        end
        response["Content-Type"] = mime_type(@resource.content_type)
        @resource.body
      end

      def sitemap
        respond_to do |wish|
          case(wish)
          when :xml
            "<test>a</test>"
          else
            ""
          end
        end
      end

      #
      #
      #
      def spinup
        'spinup'
      end
      
    end # Index
  end # Controller
end # UzuUzu
