# coding: utf-8

module UzuUzu
  class BlogEntry
    include DataMapper::Resource
    include DataMapper::Timestamps

    property :id, Serial
    property :format, String,
              :length => 32
    property :title, String,
              :required => true,
              :length => 255
    property :body, Text,
              :required => true
    timestamps :at

    has n, :blog_categories, :through => Resource
    has n, :blog_comments

    belongs_to :blog

  end #BlogEntry
end #UzuUzu
