# coding: utf-8

module UzuUzu
  class Css
    include DataMapper::Resource
    include DataMapper::Timestamps

    property :id, Serial
    property :url, Text
    property :format, String,
              :length => 10
    property :body, Text
    timestamps :updated_at

  end #Css

  if auto_upgrade?
    repository do
      Css.auto_upgrade!
    end
  end
end #UzuUzu
