# coding: utf-8

module UzuUzu
  class Environments
    alias :uzuuzu_org_load_localize :load_localize
    def load_localize
      uzuuzu_org_load_localize
      if ::File.file?(__DIR__("lang/#{@lang}.yaml"))
        ::File.open(__DIR__("lang/#{@lang}.yaml"), :encoding => "UTF-8") do |f|
          @localize.merge!(::YAML.load(f))
        end
      end
    end
  end
end
